/* preti.cc -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <cursesp.h>
#include "preti.h"

ync_e preti(const char *msg) {
	NCursesPanel P(6, 32, (LINES/2)-3, (COLS/2)-16);
	P.printw(2, 2, msg);
	P.move(3,5);
	preti_ciska(P);
	P.frame("preti");
	P.show(); P.refresh();
	int c = getch();
	int r = preti_cipra(c);
	P.hide(); P.refresh();
	return (r ? (r == 1 ? no : cancel) : yes);
};
