/* ui_gahicfa2.cc -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "ui_veirgahi.h"
#include "jahostu.h"

GihurveiGalfi::GihurveiGalfi(GalfiXruti& x)
	: _x(x),
	NCursesForm(jahostuste[JS_veirgahi].h,
		    jahostuste[JS_veirgahi].w,
		    jahostuste[JS_veirgahi].y,
		    jahostuste[JS_veirgahi].x)
{
	const int Fk1 = gahirkahu_zbasu(NULL);
	const int Fk2 = tcita_zbasu(NULL);
	
	F = new NCursesFormField*[Fk1+Fk2+1];
	
	Fins = new bool[Fk1+Fk2];
	{ int i; for(i=0;i<Fk1+Fk2;i++) Fins[i] = true; };
	
	gahirkahu_zbasu(F);
	tcita_zbasu(&(F[Fk1]));
	
	F[Fk1+Fk2] = new NCursesFormField();
	
	InitForm(F, TRUE, TRUE);

	{
		char str[::strlen(galfi_skitcita)+5];
		sprintf(str, galfi_skitcita, x.gismu);
		frame(str);
	};
	
};	


